#include <pic16f886.h>

/*-------------------PORT INIT---------------------*/
void	port_init(void)
{

	ANSEL=0b00000000;	/**/
	ANSELH=0b00000000;  /**/
    

	TRISA=0b00001111;	/* RA0,RA1,RA2,RA3:INPUT,RA4-7:OUTPUT */
	TRISB=0b00000000;	/* RB0-7:OUTPUT */
	TRISC=0b00000001;	/* RC0:INPUT */

	WPUB=0b00000000;
	ADCON0=0b10001100;	/* Fosc/32,AN3 */
	ADCON1=0b10000000;	/* ADFM=0,Vss,Vdd */

	PORTA=0x0F;
	PORTB=0x00;
	PORTC=0x01;

}